[tor-commits] [tor/master] Make test_keygen.sh dump what the problem is on cmp failure

nickm at torproject.org nickm at torproject.org
Thu Sep 3 16:52:16 UTC 2015


commit ffb56863aa82ca55c8a98853a9258a04e6f927e0
Author: Nick Mathewson <nickm at torproject.org>
Date:   Thu Sep 3 12:51:58 2015 -0400

    Make test_keygen.sh dump what the problem is on cmp failure
---
 src/test/test_keygen.sh |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/test/test_keygen.sh b/src/test/test_keygen.sh
index d6066ac..6e852a9 100755
--- a/src/test/test_keygen.sh
+++ b/src/test/test_keygen.sh
@@ -46,11 +46,12 @@ fi
   fi
 
 
+dump() { xxd -p "$1" | tr -d '\n '; }
 die() { echo "$1" >&2 ; exit 5; }
 check_dir() { [ -d "$1" ] || die "$1 did not exist"; }
 check_file() { [ -e "$1" ] || die "$1 did not exist"; }
 check_no_file() { [ -e "$1" ] && die "$1 was not supposed to exist" || true; }
-check_files_eq() { cmp "$1" "$2" || die "$1 and $2 did not match"; }
+check_files_eq() { cmp "$1" "$2" || die "$1 and $2 did not match: `dump $1` vs `dump $2`"; }
 check_keys_eq() { check_files_eq "${SRC}/keys/${1}" "${ME}/keys/${1}"; }
 
 DATA_DIR=`mktemp -d -t tor_keygen_tests.XXXXXX`



More information about the tor-commits mailing list